%define upstream_name    Dist-Zilla-PluginBundle-Dancer
%define upstream_version 0.0013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Dzil plugins used by Dancer projects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.14.0
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 2.39.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(PerlX::Maybe)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle that the core the Dancer manpage crew use to
release their distributions. It's roughly equivalent to

    [GatherDir]
    [PruneCruft]
    [ManifestSkip]
    [ExecDir]

    [AutoPrereqs]
    [MetaProvides::Package]
    [License]
    [MakeMaker]
    [ModuleBuild]
    [MetaYAML]
    [MetaJSON]
    [Manifest]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.1.300-7.mga10
+ Revision: 2198342
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.1.300-6.mga9
+ Revision: 1803112
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.300-5.mga8
+ Revision: 1494166
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.300-4.mga7
+ Revision: 1267365
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.300-3.mga6
+ Revision: 1025947
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.300-2.mga6
+ Revision: 967891
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.1.300-1.mga6
+ Revision: 850533
- update to 0.0013

* Wed Oct 15 2014 umeabot <umeabot> 0.1.200-3.mga5
+ Revision: 740656
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.200-2.mga5
+ Revision: 684563
- Mageia 5 Mass Rebuild

* Fri May 30 2014 sander85 <sander85> 0.1.200-1.mga5
+ Revision: 627935
- update to 0.0012

* Tue Apr 15 2014 jquelin <jquelin> 0.1.100-1.mga5
+ Revision: 614760
- update to 0.0011

* Tue Feb 25 2014 jquelin <jquelin> 0.1.0-1.mga5
+ Revision: 597079
- update to 0.0010

* Sun Feb 09 2014 sander85 <sander85> 0.0.900-1.mga5
+ Revision: 587440
- update to 0.0009

* Mon Oct 21 2013 umeabot <umeabot> 0.0.800-2.mga4
+ Revision: 537790
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.0.800-1.mga4
+ Revision: 487721
- update to 0.0008

* Sat Sep 07 2013 sander85 <sander85> 0.0.700-1.mga4
+ Revision: 475593
- update to 0.0007

* Fri Aug 02 2013 sander85 <sander85> 0.0.600-1.mga4
+ Revision: 462678
- update to 0.0006

* Thu Aug 01 2013 sander85 <sander85> 0.0.500-1.mga4
+ Revision: 462144
- update to 0.0005

* Sat Jun 08 2013 shlomif <shlomif> 0.0.400-1.mga4
+ Revision: 440546
- imported package perl-Dist-Zilla-PluginBundle-Dancer


* Sat Jun 08 2013 cpan2dist 0.0004-1mga
- initial mageia release, generated with cpan2dist
